<?php

include 'load.php';

if(isset($_GET['stid'])){
	$stid=mysqli_real_escape_string($conn,$_GET['stid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobilesettings WHERE stid='$stid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='settingslist.php';</script>";
}


	if(isset($_POST['update'])){

		$stid = $_GET['stid'];
		$systemname = $_POST['systemname'];
		$permission = $_POST['permission'];
		$themecolor = $_POST['themecolor'];
		$status = $_POST['status'];
		
			$imgFile = $_FILES['user_image']['name'];
			$tmp_dir = $_FILES['user_image']['tmp_name'];
			$imgSize = $_FILES['user_image']['size'];
		
			if($imgFile)

			{

			$upload_dir = 'images/settings/'; // upload directory	

			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get image extension

			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif' ,'docx' , 'pdf' , 'video' , 'mp3'); // valid extensions

			$userpic = rand(1,1000000).".".$imgExt;

			if(in_array($imgExt, $valid_extensions))

			{			

				if($imgSize < 5000000)

				{

				unlink($upload_dir.$edit_row['systemlogo']);

				 move_uploaded_file($tmp_dir,$upload_dir.$userpic);

			}
				
			else

			{

			$errMSG = "Sorry, your file is too large it investould be less then 5MB";

			}

			}

			else

			{

			$errMSG = "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";		

			}	

			}

			else

			{

			// if no image selected the old image remain as it is.

			$userpic = $edit_row['systemlogo']; // old image from database

			}

    if(!isset($errMSG)){
			
      $stmt = $DB_con->prepare('UPDATE mobilesettings
			SET systemname=:systemname,
			permission=:permission,
			themecolor=:themecolor,
			systemlogo=:upic,
			status=:status
			WHERE stid=:stid');
			$stmt->bindParam(':systemname',$systemname);
			$stmt->bindParam(':permission',$permission);
			$stmt->bindParam(':themecolor',$themecolor);
			$stmt->bindParam(':upic',$userpic);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':stid',$stid);
			
      if($stmt->execute()){
		  
			$successMSG = "Settings Successfully Updated ...";
				
			header("refresh:2;settingslist.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Settings | Payroll | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Settings</h4>
<h6>Edit a settings</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	
<div class="row">
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>System Name</label>
<input type="text" name="systemname" class="form-control" placeholder="Enter System Name" value="<?php echo $view_result['systemname']; ?>">
</div>
</div>
<div class="col-lg-2 col-sm-6 col-12">
<div class="form-group">
<label>Permission</label>
<select class="form-control" name="permission" required>
<option value="Yes"<?php if($view_result['permission']=="Yes"){echo "selected";} ?>>Yes</option>
<option value="No"<?php if($view_result['permission']=="No"){echo "selected";} ?>>No</option>
</select>
</div>
</div>
<div class="col-lg-2 col-sm-6 col-12">
<div class="form-group">
<label>Theme Color</label>
<select class="form-control" name="themecolor" required>
<option value="Blue"<?php if($view_result['themecolor']=="Blue"){echo "selected";} ?>>Blue</option>
<option value="Green"<?php if($view_result['themecolor']=="Green"){echo "selected";} ?>>Green</option>
</select>
</div>
</div>
<div class="col-lg-2 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1" <?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0" <?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>System Logo</label>
<label for="user_image"><img src="assets/img/empty.png" id="yourImgTag" class="pro_pick" style="width:100px;height:100px;"></label>
<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
<script>
function dis_name(){
var input = document.getElementById("user_image");
var fReader = new FileReader();
fReader.readAsDataURL(input.files[0]);
fReader.onloadend = function(event){
var img = document.getElementById("yourImgTag");
img.src = event.target.result;
}
}
</script>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="categorylist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>